View Issue Details

IDProjectCategoryView StatusLast Update
0000783Far ManagerTemporary panelpublic2018-11-09 13:33
ReporterRaistlinAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0000783: Compare folders неправильно работает с temp-панелью при наличии на ней файлов с одинаковыми именами
DescriptionИмеем каталог E:\CompareFolders_bug с подкаталогами и файлами в них (результат dir /s в аттаче). Делаем следующее:
1. Ищем по Alt-А7 файлы по маске *, передаём результат в temp-панель.
2. Выделяем все файлы в temp-панели, копируем их в каталог E:\CFbug_copy, файлы с совпадающими именами пропускаем. Скопируется 6 файлов из 12.
3. Делаем Commands|Compare folders для temp-панели и E:\CFbug_copy. Выделится 3 файла (а не 6!).
TagsNo tags attached.
Build

Relationships

duplicate of 0003004 new Plugins Compare folders неправильно работает с temp-панелью 

Activities

2009-03-13 00:39

 

CompareFolders_bug.txt (4,506 bytes)
 Volume in drive E is unlabeled      Serial number is 3cff:6fee
 Directory of  E:\CompareFolders_bug\*

13.03.2009   0:27         <DIR>    .
13.03.2009   0:27         <DIR>    ..
13.03.2009   0:10         <DIR>    F02
13.03.2009   0:18         <DIR>    F08
13.03.2009   0:18         <DIR>    F09
13.03.2009   0:27         <DIR>    F16
13.03.2009   0:12         <DIR>    F17
13.03.2009   0:20         <DIR>    F27
13.03.2009   0:12         <DIR>    F37
13.03.2009   0:28         <DIR>    F39
13.03.2009   0:28         <DIR>    F41
13.03.2009   0:20         <DIR>    F43
              0 bytes in 0 files and 12 dirs

 Directory of  E:\CompareFolders_bug\F02\*

13.03.2009   0:10         <DIR>    .
13.03.2009   0:10         <DIR>    ..
24.03.2000  10:10       3 539 478  EYKS.mp3
      3 539 478 bytes in 1 file and 2 dirs    3 543 040 bytes allocated

    Total for:  E:\CompareFolders_bug\F02\*
      3 539 478 bytes in 1 file and 2 dirs    3 543 040 bytes allocated

 Directory of  E:\CompareFolders_bug\F08\*

13.03.2009   0:18         <DIR>    .
13.03.2009   0:18         <DIR>    ..
10.03.2008  22:56       5 855 232  ENPB.mp3
      5 855 232 bytes in 1 file and 2 dirs    5 857 280 bytes allocated

    Total for:  E:\CompareFolders_bug\F08\*
      5 855 232 bytes in 1 file and 2 dirs    5 857 280 bytes allocated

 Directory of  E:\CompareFolders_bug\F09\*

13.03.2009   0:18         <DIR>    .
13.03.2009   0:18         <DIR>    ..
10.03.2008  22:54       4 130 507  ENPB.mp3
10.03.2008  23:03       6 043 648  HVCT.mp3
     10 174 155 bytes in 2 files and 2 dirs    10 178 560 bytes allocated

    Total for:  E:\CompareFolders_bug\F09\*
     10 174 155 bytes in 2 files and 2 dirs    10 178 560 bytes allocated

 Directory of  E:\CompareFolders_bug\F16\*

13.03.2009   0:27         <DIR>    .
13.03.2009   0:27         <DIR>    ..
01.03.2006   0:33       7 944 486  EYKS.mp3
      7 944 486 bytes in 1 file and 2 dirs    7 946 240 bytes allocated

    Total for:  E:\CompareFolders_bug\F16\*
      7 944 486 bytes in 1 file and 2 dirs    7 946 240 bytes allocated

 Directory of  E:\CompareFolders_bug\F17\*

13.03.2009   0:12         <DIR>    .
13.03.2009   0:12         <DIR>    ..
14.04.2003   1:19       4 515 202  JBQP.mp3
      4 515 202 bytes in 1 file and 2 dirs    4 517 888 bytes allocated

    Total for:  E:\CompareFolders_bug\F17\*
      4 515 202 bytes in 1 file and 2 dirs    4 517 888 bytes allocated

 Directory of  E:\CompareFolders_bug\F27\*

13.03.2009   0:20         <DIR>    .
13.03.2009   0:20         <DIR>    ..
27.05.2001  23:56       5 119 606  HVCT.mp3
      5 119 606 bytes in 1 file and 2 dirs    5 120 000 bytes allocated

    Total for:  E:\CompareFolders_bug\F27\*
      5 119 606 bytes in 1 file and 2 dirs    5 120 000 bytes allocated

 Directory of  E:\CompareFolders_bug\F37\*

13.03.2009   0:12         <DIR>    .
13.03.2009   0:12         <DIR>    ..
28.09.2006  15:04       8 337 609  OWJI.mp3
      8 337 609 bytes in 1 file and 2 dirs    8 339 456 bytes allocated

    Total for:  E:\CompareFolders_bug\F37\*
      8 337 609 bytes in 1 file and 2 dirs    8 339 456 bytes allocated

 Directory of  E:\CompareFolders_bug\F39\*

13.03.2009   0:28         <DIR>    .
13.03.2009   0:28         <DIR>    ..
10.03.2008  23:10       1 696 543  JBQP.mp3
      1 696 543 bytes in 1 file and 2 dirs    1 699 840 bytes allocated

    Total for:  E:\CompareFolders_bug\F39\*
      1 696 543 bytes in 1 file and 2 dirs    1 699 840 bytes allocated

 Directory of  E:\CompareFolders_bug\F41\*

13.03.2009   0:28         <DIR>    .
13.03.2009   0:28         <DIR>    ..
10.03.2008  23:09       2 254 745  OWJI.mp3
23.03.2000   9:52       3 488 378  WJVG.mp3
      5 743 123 bytes in 2 files and 2 dirs    5 746 688 bytes allocated

    Total for:  E:\CompareFolders_bug\F41\*
      5 743 123 bytes in 2 files and 2 dirs    5 746 688 bytes allocated

 Directory of  E:\CompareFolders_bug\F43\*

13.03.2009   0:20         <DIR>    .
13.03.2009   0:20         <DIR>    ..
16.01.2000   2:13       3 820 552  WJVG.mp3
      3 820 552 bytes in 1 file and 2 dirs    3 821 568 bytes allocated

    Total for:  E:\CompareFolders_bug\F43\*
      3 820 552 bytes in 1 file and 2 dirs    3 821 568 bytes allocated

    Total for:  E:\CompareFolders_bug\*
     56 745 986 bytes in 12 files and 32 dirs    56 770 560 bytes allocated
 27 414 880 256 bytes free
CompareFolders_bug.txt (4,506 bytes)

alexy

2011-02-05 23:04

administrator   bugnote:0006395

Far 1.7 is no longer supported

Issue History

Date Modified Username Field Change
2009-03-13 00:39 Raistlin New Issue
2009-03-13 00:39 Raistlin File Added: CompareFolders_bug.txt
2011-02-05 23:04 alexy Note Added: 0006395
2011-02-05 23:04 alexy Status new => closed
2017-10-25 20:31 JohnDoe Relationship added duplicate of 0003004
2018-11-09 13:31 JohnDoe Project Far Manager 1.7x => Plugins
2018-11-09 13:32 JohnDoe Status closed => new
2018-11-09 13:32 JohnDoe Resolution open => reopened
2018-11-09 13:32 JohnDoe Project Plugins => Far Manager
2018-11-09 13:33 JohnDoe Category _Common => Temporary panel
2018-11-09 13:33 JohnDoe Product Version 1.75 =>